#ifndef SERVERUTILS_H
#define SERVERUTILS_H

#include <string>
#include <vector>
#include <iostream>
#include <sstream>
#include <string>
#include <unistd.h>
#include <netinet/in.h>
#include <thread>
#include <chrono>
#include <unordered_map>
#include <map>

using namespace std;

struct ServerUtils {
    static void serve(map<string, map<string, int>> wordwordFrequencies);
    static void process_request(int client_fd, map<string, map<string, int>> wordwordFrequencies);
};

#endif