#include "../include/FileUtils.h"
#include "../include/WordUtils.h"
#include "../include/ServerUtils.h"

using namespace std;

int main(int argc, char* argv[]) {
    if (argc > 2)
    {
        cout << "Too many arguments";
        return 0;
    }
    
    if (!FileUtils::fileExists(argv[1]))
    {
        cout << "Filepath: " << argv[1] << " doesn't exist.";
        return 0;
    }


    auto lol = WordUtils::load_data(argv[1]);
    string word;

    while (true)
    {
        cout << "Please input word: \n";
        cin >> word;

        vector<string> words = WordUtils::predictNextWord(word, lol, 10);

        for (const auto& out : words)
        {
            cout << "Next word is: " << out << endl;
        }
    }
    

    
    //ServerUtils::serve(WordUtils::load_data(argv[1]));
    
    return 0;
}